data_cfg:
  dataset_name: GREW
  dataset_root: your_path
  dataset_partition: ./datasets/GREW/GREW.json
  num_workers: 1
  data_in_use: [True, True] # heatmap, sil
  remove_no_gallery: false # Remove probe if no gallery for it
  test_dataset_name: GREW

evaluator_cfg:
  enable_float16: true
  restore_ckpt_strict: true
  restore_hint: 180000
  save_name: SkeletonGaitPP
  eval_func: GREW_submission
  sampler:
    batch_shuffle: false
    batch_size: 4
    sample_type: all_ordered # all indicates whole sequence used to test, while ordered means input sequence by its natural order; Other options:   fixed_unordered
    frames_all_limit: 720 # limit the number of sampled frames to prevent out of memory
  metric: euc # cos
  transform:
    - type: BaseSilCuttingTransform

loss_cfg:
  - loss_term_weights: 1.0
    margin: 0.2
    type: TripletLoss
    log_prefix: triplet
  - loss_term_weights: 1.0
    scale: 16
    type: CrossEntropyLoss
    log_prefix: softmax
    log_accuracy: true

model_cfg:
  model: SkeletonGaitPP
  Backbone:
    in_channels: 3
    blocks:
      - 1
      - 4
      - 4
      - 1
    C: 2
  SeparateBNNecks:
    class_num: 20000

optimizer_cfg:
  lr: 0.1
  momentum: 0.9
  solver: SGD
  weight_decay: 0.0005

scheduler_cfg:
  gamma: 0.1
  milestones: # Learning Rate Reduction at each milestones
    - 80000
    - 120000
    - 150000
  scheduler: MultiStepLR

trainer_cfg:
  enable_float16: true # half_percesion float for memory reduction and speedup
  fix_BN: false
  log_iter: 100
  restore_ckpt_strict: true
  restore_hint: 0
  save_iter: 30000
  save_name: SkeletonGaitPP
  sync_BN: true
  total_iter: 180000
  sampler:
    batch_shuffle: true
    batch_size:
      - 32 # TripletSampler, batch_size[0] indicates Number of Identity
      - 4  #                 batch_size[1] indicates Samples sequqnce for each Identity
    frames_num_fixed: 30 # fixed frames number for training
    frames_skip_num: 4
    sample_type: fixed_ordered # fixed control input frames number, unordered for controlling order of input tensor; Other options: unfixed_ordered or all_ordered
    type: TripletSampler
  transform:
    - type: Compose
      trf_cfg:
        - type: RandomPerspective
          prob: 0.2
        - type: BaseSilCuttingTransform
        - type: RandomHorizontalFlip
          prob: 0.2
        - type: RandomRotate
          prob: 0.2

